from typing import Callable


class Statistic:

    def __init__(self, name: str, description: str, func: Callable):
        self._name = name
        self._description = description
        self._func = func
        
    @property
    def name(self) -> str:
        return self._name
    
    @property
    def description(self) -> str:
        return self._description
    
    @property
    def func(self) -> Callable:
        return self._func
